Records

List schema versions

GET
/records/types/{record_type_id}/versions

List the published schema versions of a record type, newest first.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

record_type_id*string

Resource identifier: record_type_id.

Formatuuid

Query Parameters

limit?integer

Filter or parameter: limit.

Range1 <= value <= 100
Default50
cursor?string

Opaque continuation cursor from the previous response.

Lengthlength <= 2048

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/records/types/123e4567-e89b-42d3-a456-426614174000/versions"
{  "items": [    {}  ],  "next_cursor": null}